## arduino 1.5.4.2+dfsg

=== debian/changelog ===
arduino (1:1.5.4.2+dfsg-2) experimental; urgency=low

  * Use jh_depends to manage dependencies.
  * add -fno-caller-saves compiler flag (see debian bug 698254)

 -- Scott Howard <showard@debian.org>  Fri, 11 Oct 2013 16:20:12 -0400

arduino (1:1.5.4.2+dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #721742)
  * Refreshed patches:
      deleted:    debian/patches/Adafruit_GFX.patch (accepted upstream)
      deleted:    debian/patches/no-caller-saves.patch (AVR bug, needs testing,
                  possibly reapply)
      deleted:    debian/patches/roboIRread.patch (accepted upstream)

 -- Scott Howard <showard@debian.org>  Fri, 11 Oct 2013 12:36:34 -0400
