=== debian/changelog ===
arduino (2:1.5.6.2+sdfsg2-3) experimental; urgency=low

  * debian/patches/system_libastylej.patch: use system libastylej
    upstream uses a patched version that changed java package name.

 -- Scott Howard <showard@debian.org>  Sun, 06 Apr 2014 18:33:35 -0400

arduino (2:1.5.6.2+sdfsg2-2) experimental; urgency=low

  * Bump epoch to fix versioning problem with arduino-mk

 -- Scott Howard <showard@debian.org>  Wed, 02 Apr 2014 16:50:56 -0400

arduino (1:1.5.6.2+sdfsg2-1) experimental; urgency=low

  * Place arduino 1.5.6 into experimental.

 -- Scott Howard <showard@debian.org>  Tue, 01 Apr 2014 16:52:45 -0400

arduino (1:1.5.6.2+dfsg2-1) unstable; urgency=low

  * New upstream release
  * Remove dependency and link to rxtx, upstream uses libjssc-java now
  * arduino-core recommends bossa-cli
  * debian/patches/zepto_js.patch, adds source code for zepto.js
  * refreshed patches
  * arduino depends on libastylej-jni
    - debian/patches/no_download_libastylej.patch to use system libastylej

 -- Scott Howard <showard@debian.org>  Fri, 07 Mar 2014 12:17:38 -0500

arduino (1:1.5.4.2+dfsg-3) experimental; urgency=low

  * Don't distribute sourceless minified .js files (Closes: #735229)
    - needs libraries/Bridge/examples/TemperatureWebPanel/www/zepto.min.js
  * Debian S-V 3.9.5, no changes

 -- Scott Howard <showard@debian.org>  Mon, 13 Jan 2014 23:02:40 -0500
