=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Scott Howard <showard@debian.org>
 Uploaders: Philip Hands <phil@hands.com>
-Build-Depends: debhelper (>= 8), javahelper, default-jdk,
- librxtx-java (>= 2.2pre2-3), libjna-java, libjsch-java, libjmdns-java,
+Build-Depends: debhelper (>= 8), javahelper, default-jdk, 
+ libjssc-java, libjna-java, libjsch-java, libjmdns-java,
  libcommons-logging-java, libcommons-httpclient-java, libcommons-exec-java, ant
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.arduino.cc
 Vcs-Git: git://anonscm.debian.org/collab-maint/arduino.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/arduino.git
@@ -15,8 +15,8 @@
 Package: arduino
 Architecture: all
 Depends: ${java:Depends}, ${misc:Depends},
- arduino-core (= ${binary:Version})
-Recommends: extra-xdg-menus, policykit-1
+ arduino-core (= ${binary:Version}), libastylej-jni
+Recommends: extra-xdg-menus, policykit-1, astyle
 Description: AVR development board IDE and built-in libraries
  Arduino is an open-source electronics prototyping platform based on
  flexible, easy-to-use hardware and software. It's intended for artists,
@@ -31,6 +31,7 @@
 Package: arduino-core
 Architecture: all
 Depends: ${misc:Depends}, gcc-avr (>= 4.7.0), avrdude, gcc, avr-libc (>= 1.8.0)
+Recommends: bossa-cli
 Suggests: arduino-mk
 Description: Code, examples, and libraries for the Arduino platform
  Arduino is an open hardware microcontroller platform.  This package contains
