## arduino 1.6.5

=== debian/changelog ===
arduino (1.6.5-r3ubuntu6) trusty; urgency=medium

  * Added UDOO Boards serial ports, again 

 -- UDOO Team <social@udoo.org>  Sun, 20 Dec 2015 22:44:10 +0000

arduino (1.6.5-r3ubuntu5) trusty; urgency=medium

  * Updated build script (excluded AVR core from base)

 -- UDOO Team <social@udoo.org>  Fri, 18 Dec 2015 17:14:04 +0000

arduino (1.6.5-r3ubuntu4) trusty; urgency=medium

  * Turned back to arduino original sources. 
    Now UDOO board packages are separated debs.

 -- UDOO Team <social@udoo.org>  Thu, 17 Dec 2015 20:08:01 +0100

arduino (1.6.5-r3ubuntu3) trusty; urgency=medium

  * Added UDOO Boards serial ports

 -- UDOO Team <social@udoo.org>  Wed, 28 Oct 2015 12:00:35 +0000

arduino (1.6.5-r3ubuntu2) trusty; urgency=medium
  
   * renamed serial classes
   * changed millis return type
   * fixed String class allocation problem
   * improved MCC internal serial debug
   * minor UART improvement
   * added pulseIn() function
   * better delayMicroseconds() and micros()
   * added gpio interrupt support

 -- UDOO Team <social@udoo.org>  Tue, 27 Oct 2015 16:07:33 +0000 

arduino (1.6.5-r3ubuntu1) trusty; urgency=medium

  * updated to Arduino 1.6.5-r3
  * added UDOO Neo specific stuff
  * removed AVR boards

 -- UDOO Team <social@udoo.org>  Sun, 11 Oct 2015 00:47:21 +0000
