=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: arduino
 Section: electronics
 Priority: extra
-Maintainer: Scott Howard <showard@debian.org>
-Uploaders: Philip Hands <phil@hands.com>
-Build-Depends: debhelper (>= 8), javahelper, default-jdk, 
+Maintainer: UDOO Team <social@udoo.org>
+Uploaders: Ettore Chimenti <ek5.chimenti@gmail.com>
+Build-Depends: debhelper, javahelper, default-jdk, default-jre, libastylej-jni,
  libjssc-java, libjna-java, libjsch-java, libjmdns-java,
- libcommons-logging-java, libcommons-httpclient-java, libcommons-exec-java, ant
+ libcommons-logging-java, libcommons-httpclient-java, libcommons-exec-java, ant,
+ astyle, extra-xdg-menus, policykit-1, default-jre, libastylej-jni,
+ gcc, gcc-arm-none-eabi
 Standards-Version: 3.9.5
 Homepage: http://www.arduino.cc
 Vcs-Git: git://anonscm.debian.org/collab-maint/arduino.git
@@ -30,8 +32,7 @@
 
 Package: arduino-core
 Architecture: all
-Depends: ${misc:Depends}, gcc-avr (>= 4.7.0), avrdude, gcc, avr-libc (>= 1.8.0)
-Recommends: bossa-cli
+Depends: ${misc:Depends}, arduino (= ${binary:Version})
 Suggests: arduino-mk
 Description: Code, examples, and libraries for the Arduino platform
  Arduino is an open hardware microcontroller platform.  This package contains
@@ -40,3 +41,29 @@
  .
  This package does not include the Java based Integrated Development
  Environment, which can be found in the 'arduino' package.
+
+Package: arduino-core-avr
+Architecture: all
+Depends: ${misc:Depends}, gcc-avr (>= 4.7.0), avrdude, gcc, avr-libc (>= 1.8.0), 
+ arduino (= ${binary:Version})
+Suggests: arduino-mk
+Description: Code, examples, and libraries for the Arduino platform
+ Arduino is an open hardware microcontroller platform.  This package contains
+ the minimal set of tools to allow one to program an Arduino.  It also contains
+ examples and libraries. For a CLI, see the 'arduino-mk' package.
+ .
+ This package does not include the Java based Integrated Development
+ Environment, which can be found in the 'arduino' package.
+
+Package: arduino-core-sam
+Architecture: all
+Depends: bossa-cli, gcc, gcc-arm-none-eabi ( >= 4.9.3 ), 
+ arduino (= ${binary:Version})
+Suggests: arduino-mk
+Description: Code, examples, and libraries for the Arduino platform
+ Arduino is an open hardware microcontroller platform.  This package contains
+ the minimal set of tools to allow one to program an Arduino.  It also contains
+ examples and libraries. For a CLI, see the 'arduino-mk' package.
+ .
+ This package does not include the Java based Integrated Development
+ Environment, which can be found in the 'arduino' package.
