## arduino 1.8.13+dfsg1

=== debian/changelog ===
arduino (2:1.8.13+dfsg1-2) unstable; urgency=medium

  * Team upload
  * [e1dccaf] d/u/metadata: Adding DEP12 based metadata
  * [5ca53c5] d/README.source: Rework information and suggestions
  * [990e2d7] README.Debian: Adding notes regarding IDE language reference
    We don't package the Arduino language reference currently, but having
    (offline) access to it might be desirable by users.
    Adding some steps how the reference could be made available within the
    IDE.
  * [81e8635] d/control: Adding entry for Rules-Requires-Root: no
  * [3f07192] d/watch: re-add the pgpsigurlmangle option
  * [e1f08c2] d/arduino.lintian-overrides: ignore duplicated pics
    Ignore potential duplicated png files within the documentation, they are
    very small.
  * [5e9abef] d/arduino.links: Correct linking to bcprov.jar
    (Closes: #985506)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 20 Mar 2021 16:47:01 +0100

arduino (2:1.8.13+dfsg1-1) unstable; urgency=medium

  * Team upload
    (Closes: #863001)
  * [f9d3880] arduino: add min required version of arduino-builder
    We want to use arduino-builder version >= 1.3.25-2 so users won't have
    possible strange side effects if they use otherwise an older version.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Jan 2021 19:13:48 +0100

arduino (2:1.8.13+dfsg1-1~exp2) experimental; urgency=medium

  * Team upload
  * [54cd5cb] rebuild patch queue from patchqueue branch
    Added patch:
    debian-hacks/Don-t-run-extra-options-on-ARM.patch
  * [a99b7b1] d/control: Decrease list of architecture to build
    Limiting the build to any-amd64 any-i386 arm64 armel armhf, only these
    architectures wgetting support by upstream.
    (Closes: #976930)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 09 Jan 2021 09:43:23 +0100

arduino (2:1.8.13+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload

  [ Scott Howard ]
  * [b3ae605] Imported Upstream version 1.6.0+dfsg

  [ Geert Stappers ]
  * [1cd9f55] Imported Upstream version 1.6.8
  * [c01e14d] Imported Upstream version 1.8.2
  * [cf271e6] Imported Upstream version 1.8.2+dfsg

  [ Carsten Schoenert ]
  * [8bf88fc] Adding config file for git-buildpackage
  * [82131c9] New upstream version 1.8.13+dfsg1
    (Closes: #723929, #724804, #757223, #758039, #780609, #780706, #786405,
             #850784, #850964, #857463, #885830, #876495, #877201, #891901,
             #894770, #894823, #925578, #927329, #947228, #976930)
  * [77d4a95] rebuild patch queue from patchqueue branch
    Rebuild and reorder the existing patches.
    Added patches:
    debian-hacks/Don-t-call-assemble-hardware-target.patch
    debian-hacks/Don-t-use-functions-from-jtouchbar.patch
    debian-hacks/Ignore-Apple-specific-check-from-apple-lib.patch
    debian-hacks/Install-appdata.xml-into-propriate-folder.patch
    Dropped patches:
    gcc47_avr.patch
  * [4c43fd7] running wrap-and-sort to improve readability
  * [4714c7b] debhelper: move over to debhelper 13
  * [0f1249c] d/control: Adjust dependencies for package built
  * [c49f415] d/control: remove version requirement on librxtx-java
    The previous used minimal version is always fulfilled now, we only have
    higher versions within the archive.
  * [b27f91e] d/control: Update upstream homepage to use https
  * [bb5a6d5] d/control: Adjust depending packages on binary packages
    Removing now useless versions on various depending packages, all
    available versions are higher than the declared old minimal versions for
    the binary packages.
    Replacing java6-runtime by openjdk-11-jre, the former package isn't
    available any more.
  * [8a31b55] d/control: Switching Priority from extra to optional
    Priority extra is now replaced by optional.
  * [5760d82] arduino.install: Melting arduino-core in
    We don't want and need to build a package arduino-core anymore as the
    old core parts are now will live in it's own package arduino-core-avr.
    But some old things from arduino-core migrate now over into the arduino
    package. Adding new and adjust existing folder and files to install.
  * [57fe853] arduino.links: Merge linking from arduino-core
    As before for the install sequencer also taking over the symlinking from
    arduino-core into the arduino package.
  * [53774dd] arduino.docs: Move over from arduino-core
    As we give up arduino-core the sequencer content from arduino-core will
    move over to arduino.
  * [2276b48] d/control: Adjust package dependencies for arduino
    The arduino package needs some more Java libraries for complete
    functionality.
  * [c764a05] d/rules: Workaround potential misbehavior of jh_linkjars
    It looks like jh_linkjars isn't linking all the Java libraries from
    /usr/share/java into the lib/ folder. Thus we do some hacking around
    this to get the required libraries in place.
  * [d47279e] d/control: Bump Standards-Version to 4.5.1
    No further changes needed.
  * [683f295] d/control: Turn package arduino into arch:any
    The arduino package is using the architecture dependent library
    libastylej-jni already for some time, this requires an architecture
    dependent availability of this library.
  * [1fc2ad5] d/control: Remove obsolete arduino-core package
  * [cfff045] arduino: Adding Breaks on old arduino-core package
    The arduino-core package isn't alive any more, the old package needs a
    break to not getting in conflict with the current arduino package.
  * [0a20a08] d/rules: Use DEB_VERSION_UPSTREAM_REVISION variable
  * [97a57e7] arduino.lintian-overrides: Add some overrides
    Let lintian don't bother on .txt files which are used and required by the
    IDE and are no documentation.
  * [5823ee6] arduino: Remove the menu file
    Due CTTE decision on #741573 we don't want to ship a menu file for
    applications any more. We can remove the existing menu sequencer
    including the XPM graphic.
  * [311035e] d/arduino.desktop: Update and sync file against upstream

