## arduino 1.8.15+dfsg1

=== debian/changelog ===
arduino (2:1.8.15+dfsg1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Aug 2021 16:22:25 -0700

arduino (2:1.8.15+dfsg1-1) unstable; urgency=medium

  * Team upload
  * [db1bcc6] d/gbp.conf: Added extra component archive
    The examples have been excluded from the UI source, these now excluded
    and dedicated provided files aren't packaged yet, so we add them for now
    as an extra tarball.
  * [a170151] New upstream version 1.8.15+dfsg1
  * [b66ecfc] rebuild patch queue from patchqueue branch
    added patch:
    debian-hacks/Don-t-download-any-external-example-files.patch
    adjusted patch:
    debian-hacks/Don-t-call-assemble-hardware-target.patch
    updated patches (no adjustments or changes needed):
    debian-hacks/Don-t-follow-symlinked-jar-files.patch
    debian-hacks/Prevent-more-downloads-while-package-build.patch
    removed patch (included upstream):
    debian-hacks/Remove-update-notice-about-new-available-version.patch
  * [e532915] d/arduino.docs: Adjust different examples/ folder
  * [3dedaff] d/copyright: Reflect added examples folder

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 24 May 2021 09:45:00 +0200
