=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,9 @@
 #override_jh_depends:
 #jh_depends can't resolve symlinks
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 copyright_check:
 	${MAKE} -f /usr/share/cdbs/1/rules/utils.mk debian/stamp-copyright-check
 	rm debian/stamp-copyright-check
